/*
 * Eygene Ryabinkin, rea@codelabs.ru.  Copyright 2009.
 */
#if !defined(__STRBUF_H__)
#define __STRBUF_H__

struct strbuf;

enum strbuf_errno_t {
	strbuf_e_ok = 0,
	strbuf_e_nomem,
	strbuf_e_cantgrow,
	strbuf_e_read_error,
	strbuf_e_eof,
};

struct strbuf *
strbuf_create(size_t _initial);
void
strbuf_destroy(struct strbuf *_s);
enum strbuf_errno_t
strbuf_errno_get(struct strbuf *_s);
void
strbuf_errno_clear(struct strbuf *_s);
const char*
strbuf_errno_to_s(struct strbuf *_s);
void
strbuf_set_fd(struct strbuf *_s, int _fd);
char *
strbuf_readline(struct strbuf *_s);
char *
strbuf_get_string(struct strbuf *_s);

#endif /* !defined(__STRBUF_H__) */
