#ifndef __SYSEXITS_H__
#define __SYSEXITS_H__

/*
 * We are using BSD's sysexit values to signify problems
 * via our exit codes.  The current values were taken from
 * FreeBSD 10-CURRENT in November 2011.
 */

#include "config.h"

#ifdef HAVE_SYSEXITS_H
#include <sysexits.h>
#else /* def HAVE_SYSEXITS_H */
#define EX_USAGE		64
#define EX_DATAERR		65
#define EX_NOINPUT		66
#define EX_NOUSER		67
#define EX_NOHOST		68
#define EX_UNAVAILABLE		69
#define EX_SOFTWARE		70
#define EX_OSERR		71
#define EX_OSFILE		72
#define EX_CANTCREAT		73
#define EX_IOERR		74
#define EX_TEMPFAIL		75
#define EX_PROTOCOL		76
#define EX_NOPERM		77
#define EX_CONFIG		78
#endif /* def HAVE_SYSEXITS_H */

#endif /* ndef __SYSEXITS_H__ */
