#!/bin/sh
#
# Will test results of unabbreviations with cft-unabbreviate.

BIN=../cft-unabbreviate

set -- '' a b c d e f
RES=$("$BIN" "$@")
if [ "$?" -ne 3 ]; then
	echo "Unabbreviation with empty first argument must return 3, got $?."
	exit 1
fi

set -- xt paxt xt xtasy of sound
RES=$("$BIN" "$@")
if [ "$?" -ne 0 -o "$RES" != "xt" ]; then
	echo "Failed test with '$@': got '$RES'/$?"
	exit 1
fi

set -- la largo push largest luck pukka da lafuma
RES=$("$BIN" "$@")
if [ "$?" -ne 1 -o "$RES" != "largo largest lafuma" ]; then
	echo "Failed test with '$@': got '$RES'/$?"
	exit 1
fi

set -- lkjsdfo quick brown fox jumps over the lazy dog
RES=$("$BIN" "$@")
if [ "$?" -ne 2 -o -n "$RES" ]; then
	echo "Failed test with '$@': got '$RES'/$?"
	exit 1
fi

set -- a ab '' abc '' abcd '' zyx stix xyz ''
RES=$("$BIN" "$@")
if [ "$?" -ne 1 -o "$RES" != "ab abc abcd" ]; then
	echo "Failed test with '$@': got '$RES'/$?"
	exit 1
fi

exit 0
